
SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/local/lib/ruby/1.8/mips64-openbsd
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
exec_prefix = $(prefix)
prefix = $(DESTDIR)/usr/local
localedir = $(datarootdir)/locale
mandir = $(DESTDIR)/usr/local/man
htmldir = $(docdir)
libexecdir = $(exec_prefix)/libexec
sitedir = $(libdir)/ruby/site_ruby
archdir = $(rubylibdir)/$(arch)
sharedstatedir = $(prefix)/com
sitelibdir = $(sitedir)/$(ruby_version)
vendorarchdir = $(vendorlibdir)/$(sitearch)
psdir = $(docdir)
localstatedir = $(DESTDIR)/var
oldincludedir = $(DESTDIR)/usr/include
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
dvidir = $(docdir)
sysconfdir = $(DESTDIR)/etc
vendordir = $(libdir)/ruby/vendor_ruby
sitearchdir = $(sitelibdir)/$(sitearch)
sbindir = $(exec_prefix)/sbin
bindir = $(exec_prefix)/bin
datadir = $(datarootdir)
datarootdir = $(prefix)/share
docdir = $(datarootdir)/doc/$(PACKAGE)
rubylibdir = $(libdir)/ruby/$(ruby_version)
pdfdir = $(docdir)
infodir = $(DESTDIR)/usr/local/info
vendorlibdir = $(vendordir)/$(ruby_version)

CC = cc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

RUBY_EXTCONF_H = 
CFLAGS   =  -fPIC -O2 -pipe  -fPIC $(cflags) 
INCFLAGS = -I. -I. -I/usr/local/lib/ruby/1.8/mips64-openbsd -I.
DEFS     = 
CPPFLAGS = -DHAVE_SYS_TIMES_H -DRUBY_VERSION=187 -DOPENSSL_NO_STATIC_ENGINE -I/usr/local/include  -DOPENSSL_NO_STATIC_ENGINE -I/usr/local/include
CXXFLAGS = $(CFLAGS) 
ldflags  = -L. -L/usr/local/lib -Wl,-E
dldflags = 
archflag = 
DLDFLAGS = $(ldflags) $(dldflags) $(archflag)
LDSHARED = $(CC) -shared  -fPIC
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby18
RUBY_SO_NAME = ruby18
arch = mips64-openbsd
sitearch = mips64-openbsd
ruby_version = 1.8
ruby = /usr/local/bin/ruby18
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = /usr/bin/install -c 
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = install -c  -m 444
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = . $(libdir) /usr/local/lib
LIBPATH =  -L. -L$(libdir) -Wl,-R$(libdir) -L/usr/local/lib -Wl,-R/usr/local/lib
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lm   -lc
SRCS = ruby_prof.c
OBJS = ruby_prof.o
TARGET = ruby_prof
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR = /usr/obj/ports/prof-0.10.6/gem-tmp/.gem/ruby/1.8/gems/ruby-prof-0.10.6/lib$(target_prefix)
RUBYARCHDIR = /usr/obj/ports/prof-0.10.6/gem-tmp/.gem/ruby/1.8/gems/ruby-prof-0.10.6/lib$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
$(RUBYARCHDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cxx.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cpp.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.C.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) -c $<

$(DLLIB): $(OBJS) Makefile
	@-$(RM) $@
	$(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h
